clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
120
120.9
121.8
122.7
123.6
124.5
125.4
126.3
127.2
128.1
129
129.9
130.8
131.7
132.6
133.5
134.4
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000511459	0.000530916	0.00055284	0.000577663	0.000605924	0.000638305	0.000675682	0.000719196	0.000770371	0.00083128	0.000904821	0.000995175	0.0011086	0.00125493	0.0014505	0.00172467	0.00213601;
0.000510887	0.000530347	0.000552273	0.000577096	0.000605356	0.000637734	0.000675105	0.000718611	0.000769774	0.000830667	0.000904186	0.000994511	0.0011079	0.00125417	0.00144967	0.00172373	0.00213493;
0.000510331	0.000529794	0.000551722	0.000576547	0.000604806	0.000637181	0.000674547	0.000718045	0.000769197	0.000830074	0.000903572	0.000993869	0.00110722	0.00125344	0.00144887	0.00172284	0.00213389;
0.000509791	0.000529258	0.000551188	0.000576014	0.000604273	0.000636645	0.000674006	0.000717497	0.000768639	0.000829502	0.00090298	0.00099325	0.00110657	0.00125274	0.00144811	0.00172198	0.0021329;
0.000509266	0.000528736	0.00055067	0.000575497	0.000603755	0.000636126	0.000673483	0.000716968	0.0007681	0.000828949	0.000902409	0.000992655	0.00110594	0.00125207	0.00144737	0.00172116	0.00213194;
0.000508756	0.000528231	0.000550167	0.000574995	0.000603254	0.000635624	0.000672978	0.000716457	0.00076758	0.000828416	0.000901859	0.000992081	0.00110533	0.00125142	0.00144666	0.00172037	0.00213103;
0.000508261	0.00052774	0.000549679	0.00057451	0.000602769	0.000635138	0.000672489	0.000715962	0.000767077	0.000827902	0.000901329	0.000991528	0.00110475	0.0012508	0.00144598	0.00171961	0.00213016;
0.000507781	0.000527263	0.000549206	0.000574039	0.0006023	0.000634668	0.000672016	0.000715485	0.000766592	0.000827407	0.000900819	0.000990998	0.00110419	0.0012502	0.00144534	0.00171889	0.00212933;
0.000507314	0.000526802	0.000548748	0.000573583	0.000601845	0.000634213	0.000671559	0.000715024	0.000766125	0.000826929	0.000900327	0.000990488	0.00110366	0.00124963	0.00144471	0.0017182	0.00212853;
0.000506861	0.000526353	0.000548304	0.000573142	0.000601406	0.000633773	0.000671119	0.00071458	0.000765675	0.00082647	0.000899855	0.000989998	0.00110314	0.00124908	0.00144412	0.00171754	0.00212778;
0.000506422	0.000525919	0.000547874	0.000572715	0.00060098	0.000633349	0.000670693	0.000714151	0.000765242	0.000826028	0.000899401	0.000989527	0.00110265	0.00124856	0.00144355	0.00171691	0.00212706;
0.000505996	0.000525499	0.000547457	0.000572302	0.000600569	0.000632939	0.000670282	0.000713739	0.000764824	0.000825604	0.000898966	0.000989077	0.00110218	0.00124806	0.00144301	0.00171631	0.00212637;
0.000505583	0.000525091	0.000547054	0.000571902	0.000600173	0.000632544	0.000669887	0.000713341	0.000764423	0.000825196	0.000898549	0.000988646	0.00110173	0.00124758	0.0014425	0.00171574	0.00212573;
0.000505183	0.000524696	0.000546664	0.000571516	0.000599789	0.000632162	0.000669506	0.000712959	0.000764037	0.000824805	0.000898149	0.000988233	0.0011013	0.00124713	0.00144201	0.0017152	0.00212511;
0.000504795	0.000524314	0.000546287	0.000571143	0.000599419	0.000631794	0.000669139	0.000712591	0.000763667	0.00082443	0.000897766	0.000987839	0.00110089	0.00124669	0.00144154	0.00171469	0.00212453;
0.00050442	0.000523945	0.000545922	0.000570783	0.000599063	0.00063144	0.000668786	0.000712238	0.000763312	0.00082407	0.0008974	0.000987463	0.00110049	0.00124628	0.0014411	0.00171421	0.00212399;
0.000504057	0.000523587	0.00054557	0.000570435	0.000598719	0.000631099	0.000668447	0.000711899	0.000762971	0.000823727	0.00089705	0.000987104	0.00110012	0.00124589	0.00144068	0.00171375	0.00212347];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','p',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0003 0.00213601])
ylim([120E9 134.4E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([120E9 122.5E9 125E9 127.5E9 130E9 132E9 134.4E9])
zticks([0.000504057 0.00075 0.00100 0.00125 0.00150 0.00175 0.00213601])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-20Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20TaDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_20TaDoped_strainenergy_LLZO_48e_fAl.png